mbed_host_tests Namespace Reference

## Namespaces

| host_tests
| host_tests_conn_proxy
| host_tests_logger
| host_tests_plugins
| host_tests_registry
| host_tests_runner
| host_tests_toolbox
| mbedflsh
| mbedhtrun

## Functions

def | get_plugin_caps (methods=None)
| Functional interface for test supervisor registry. More...
def | init_host_test_cli_params ()
| Function creates CLI parser object and returns populated options object. More...

## Variables

int | DEFAULT_BAUD_RATE = 9600

## Detailed Description

    mbed SDK
    Copyright (c) 2011-2016 ARM Limited

    Licensed under the Apache License, Version 2.0 (the "License");
    you may not use this file except in compliance with the License.
    You may obtain a copy of the License at

        http://www.apache.org/licenses/LICENSE-2.0

    Unless required by applicable law or agreed to in writing, software
    distributed under the License is distributed on an "AS IS" BASIS,
    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
    See the License for the specific language governing permissions and
    limitations under the License.

    Author: Przemyslaw Wirkus <Przemyslaw.Wirkus@arm.com>

## Function Documentation

## get_plugin_caps()

def mbed_host_tests.get_plugin_caps | ( |  | methods = `None` | ) |

Functional interface for test supervisor registry.

Definition at line 50 of file __init__.py.

## init_host_test_cli_params()

def mbed_host_tests.init_host_test_cli_params | ( |  | ) |

Function creates CLI parser object and returns populated options object.

Returns
  Function returns 'options' object returned from OptionParser class

Options object later can be used to populate host test selector script.

Definition at line 59 of file __init__.py.

## Variable Documentation

## DEFAULT_BAUD_RATE

int mbed_host_tests.DEFAULT_BAUD_RATE = 9600

Definition at line 43 of file __init__.py.